Send OTP to Mobile API

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

The Send OTP to Mobile API is used to send an OTP to the customer’s mobile number.

Environment

Sample request
curl --request POST \
     --url https://payusandbox-kong.pc.enstage-sas.com/uat/sbx/api/onboarding/v1/sentOtpEmail \
     --header 'X-Consumer-Custom-ID: F42BC4E7B801C834B630DE498473533F' \
     --header 'bankId: 6060' \
     --header 'clientId: 1060' \
     --header 'content-type: application/json' \
     --header 'entityId: 100' \
     --header 'secureCode: pu8gSMLNE7pNv36IlUmstU' \
     --header 'x-api-key: 4A02C4267C9A97A1488AB3259FD1A725' \
     --data '
{
  "token": "Y+Swvvc1N6rNt6PHz4IVsu59CABE1UtuviCK8sigvtkQBIrW6mEz/CsvBYQ297f0I69Dqy2e6TyYjkfCey3Z8BN4OY2GTQLh7DOhoWhz+POhIDmLygWmeRdfq0KNG7n04x7Vn32nZsepkKl8FOPtZI3j+j7eO9Lg06tAtCO+b/i6Ki1dYXJBGEgK2rHfK9X+pNTSdrtJ+uuFNzCnj2dqifsWo4W1oh2joM0Uz0qHk/C6lV/82xbG+y7lnMgMbnGK"
}
'
Response parameters (Decrypted)

This API will provide a token in the response that must be decrypted using the Decrypt API. The decrypted response is similar to the following:

 ParameterTypeParameter RequirementDescription
messageCodenumeric(4)MandatoryAPI Unique IDentifier.
clientTxnIdstring(100)MandatoryEchoed from the request.
responseDateTimenumeric(14)MandatoryResponse date time in the format YYYYMMDDHHMMSS with time in 24-hour format
responseCodestring(4)MandatoryRepresents the status of the transaction.
responseMessagestring(100)OptionalResponse message based on the response code.
bankIdnumeric(4)MandatoryValue echoed from the request header.
clientIdStringMandatoryValue echoed from the request header.
Sample response (Decrypted)
{
  "messageCode": 2080,
    "clientTxnId": "MobileOTsVdz65wadKe3RG124",
    "requestDateTime": "20220428160040",
    "email": "[email protected]",
    "otp_generation_type": "0",
    "emailVerifySkipFlag": true
}
Error codes
Error CodeDescription
00SUCCESS
1001CARD_NOT_FOUND
1030INVALID MESSAGE
1031INVALID BANK ID
1032INVALID_CLIENT_CHANNEL
1049INVALID SECURE CODE
1052SYSTEM_ERROR
1055MALFORMED_REQUEST
1081OPERATION NOT ALLOWED
1088INVALID DATE format
1093INVALID CLIENT TXN ID
1262CLIENT ID NOT PRESENT
1264BANK ID NOT PRESENT
1310XCONSUMERKEY NOT PRESENT
1311SECURE CODE NOT PRESENT
1320REQUEST_DATETIME_IS_MANDATORY
1500SYSTEM_ERROR_UNKNOWN
1501SYSTEM_ERROR_DB
29101ALERT NOT CONFIGURED FOR PRODUCT

Request parameters

Body Params
string
required

This parameter must contain the token generated using the Encrypt API.

Headers
string
required

This parameter must contain the API key provided by Wibmo.

integer
required

This parameter must contain the Unique ID for the client shared by Wibmo.

integer
required

This parameter must contain the unique ID to identify the issuer bank. Specify 6060 for PayU.

integer
required

This parameter must contain the child corporate/branch entity ID under the client. This will be generated from the CMS. The default value is 100.

string
required

This parameter must contain the secure code that uniquely identifies the client on payload level for performing operations. Secure code will be shared by Wibmo separately.

string
required

This parameter must contain the unique consumer ID provided by the vendor for which bill is being paid or recharged.

Response
200
Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!